<div class="col-xs-12">
    <ol class="breadcrumb">
        <li><a href="#">首页</a></li>
        <li><a ui-sref="profile.index.all">个人中心</a></li>
        <li class="active ng-binding">我的钱包</li>
    </ol>
</div>
<section class="panel">
  <div class="row raffle" ng-controller="raffle.RaffleIndexCtrl">
      <div ng-if="showRaffleMask">
        <div class="raffle-loading-mask">
        </div>
        <div class="raffle-loading">
          <img src="./res/raffle.gif" alt="抽奖中..." ng-if="raffleStart">
          <div ng-if="raffleEnd">
            <div class="raffle-end">
              <div class="raffle-result">
                <span>{{ raffleResult }}</span>元
              </div>
              <div class="raffle-descript">
                <p>奖金已进入您的奖励余额，可随时申请提现。</p>
                <button type="button" class="btn btn-warning mt10" ng-click="api.closeRaffleResult()">确定</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-xs-6 col-md-6 col-lg-6 panel active-descript text-center"  ng-if="raffleList.length <= 0" >
        <span>您还没有抽奖机会，只要预订机票即可获得抽奖机会，赶紧行动吧！</span>
        <div class="mt30">
          <button type="button" class="btn btn-success" ui-sref="book.create">73预订</button>
        </div>
      </div>
      <div class="col-xs-12 col-md-6 col-lg-6">
        <div class="panel panel-primary mb25">
            <div class="panel-heading">
              <span>总奖励</span>
              <div class="raffle-amount">
                <span>￥666.00</span>
              </div>
            </div>
            <div class="panel-body withdraw-panel">
              <div class="row">
                <div class="col-xs-12 col-md-6 col-lg-6">
                  <span>可申请提现</span>
                  <div class="raffle-amount">
                    <span>￥66.00</span>
                    <button type="button" class="btn btn-warning withdraw-btn" ng-click="api.collapseWithdrawForm(false)">申请提现</button>
                  </div>
                </div>
                <div class="col-md-offset-1 col-xs-12 col-md-5 col-lg-5 show-history-btn"  ng-click="api.collapseHistories()">
                  <div class="pull-right">
                    <i class="fa fa-angle-right"></i>
                  </div>
                  <span>已申请提现</span>
                  <div class="raffle-amount">
                    <span>￥55.00</span>
                  </div>
                </div>
              </div>
            </div>
            <div class="withdrawForm" collapse="collapseWithdrawForm">
              <div class="row">
                <div class="col-xs-12 col-md-6 col-lg-6">
                  <form name="withdrawForm" ng-submit="api.applyWithdraw(withdrawInfo)" role="form" novalidate>
                    <div class="form-group">
                      <label>请输入提现金额</label>
                      <input type="text" required class="form-control withdraw-amount-input" disable-valid-styling="true" ng-pattern="reg.EXPENSE"  ng-pattern-err-type="withdrawAmount"  ng-model="withdrawInfo.amount">
                      <mark ng-if="withdrawInfo.amount > raffleAmount.remainder">提现金额不可超过可申请提现金额</mark>
                      <mark ng-if="withdrawInfo.amount!=null &&  withdrawInfo.amount <= 0">提现金额应大于0元</mark>
                    </div>
                    <div class="form-group">
                      <label>请输入支付宝姓名</label>
                      <input type="text" required class="form-control" disable-valid-styling="true" placeholder="请输入姓名" ng-model="withdrawInfo.name">
                    </div>
                    <div class="form-group">
                      <label>请输入支付宝帐号</label>
                      <input type="text" required class="form-control" disable-valid-styling="true" placeholder="请输入支付宝帐号" ng-model="withdrawInfo.account">
                    </div>
                    <div>
                      <button class="btn btn-default" type="submit" ng-disabled="withdrawForm.$invalid || withdrawInfo.amount > raffleAmount.remainder || withdrawInfo.amount <= 0">&nbsp确定&nbsp</button>
                      <button class="btn btn-default pull-right" type="button" ng-click="api.collapseWithdrawForm(true)">&nbsp取消&nbsp</button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
          <div class="panel" style="margin-bottom: 0px;">
              <div class="panel-body">
                <div class= "table-responsive">
                  <table class="table table-bordered mb0">
                      <thead>
                          <tr>
                            <th>订单日期</th>
                            <th>订单号</th>
                            <th>奖励</th>
                            <th>状态</th>
                          </tr>
                      </thead>
                      <tbody>
                          <tr>
                            <td>2016-04-07</td>
                            <td><a ng-href="#/order/123">OR320330</a></td>
                            <td>
                              <div ng-if="raffleInfo.state == 'raffle'">
                                <button type="button" class="btn btn-warning raffle-btn" ng-click="api.drawRaffle(raffleInfo)">抽奖</button>
                              </div>
                              <div ng-if="raffleInfo.state != 'raffle'">
                                ¥48.81元
                              </div>
                            </td>
                            <td>待生效</td>
                          </tr>
                      </tbody>
                  </table>
                  <div class="text-right waiting-amount-panel">待生效奖励：¥117.20</div>
                </div>
                <nav class="mt30 text-right" ng-if="param.total > param.limit">
                  <pagination class="mb0 mt0" items-per-page="param.limit" total-items="param.total" ng-model="param.start" ng-change="api.loadRaffleList()"></pagination>
                </nav>
              </div>
          </div>
      </div>
      <div class="col-xs-12 col-md-6 col-lg-6 raffle-history-panel" ng-if="withdrawLog.length > 0" collapse="!collapseHistories">
          <div class="panel">
            <div class="panel-body raffle-history">
              <div ng-repeat="log in withdrawLog track by $index">
                <div class="row" ng-class="{'failed-info': !!log.failedReason}"  ng-click="log.collapse = !log.collapse">
                  <div class="col-xs-5">{{ log.withdrawDate }}</div>
                  <div class="col-xs-4">{{ log.amount | currency: '¥':2 }} 元</div>
                  <div class="col-xs-3 text-right">{{ log.stateText }}</div>
                </div>
                <div collapse="!log.collapse" class="failed-reason" ng-if="!!log.failedReason">{{ log.failedReason }}</div>
              </div>
            </div>
          </div>
      </div>
      <div class="col-xs-12 col-md-6 col-lg-6" ng-if="withdrawLog.length <= 0" collapse="!collapseHistories">
          <div class="panel">
            <div class="panel-body empty-withdraw-log">
              暂无提现申请记录
            </div>
          </div>
      </div>
  </div>
  <div class="tickets">
    <p>我的抵用券</p>
    <ul>
      <li class="item">
        <div class="header">
          <p class="money">￥20</p>
          <p class="time-tip">永久可用</p>
        </div>
        <div class="footer">
          <p>使用要求:</p>
          <p>不限</p>
        </div>
      </li>
      <li class="item">
        <div class="header">
          <p class="money">￥200</p>
          <p class="time-tip">截止日期 : 2016-08-01</p>
        </div>
        <div class="footer">
          <p>使用要求:</p>
          <p>不限的司法斯蒂芬</p>
        </div>
      </li>
      <li class="item">
        <div class="header">
          <p class="money">￥200</p>
          <p class="time-tip">截止日期 : 2016-08-01</p>
        </div>
        <div class="footer">
          <p>使用要求:</p>
          <p>不限</p>
        </div>
      </li>
      <li class="item timeout">
        <div class="header">
          <p class="money">￥200</p>
          <p class="time-tip">截止日期 : 2016-08-01</p>
        </div>
        <div class="footer">
          <p>使用要求:</p>
          <p>不限</p>
        </div>
      </li>
      <li class="item timeout">
        <div class="header">
          <p class="money">￥200</p>
          <p class="time-tip">截止日期 : 2016-08-01</p>
        </div>
        <div class="footer">
          <p>使用要求:</p>
          <p>不限</p>
        </div>
      </li>
    </ul>
  </div>
</section>
